Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Interface IFixValueDefs

All Known Subinterfaces:
  IBusinessRejectReason, IFixDefs, IOrdRejReason, IOrdType

All Known Implementing Classes:
  ATradeTransportable, BusinessMessageReject, ClosedPositionReport, CollateralInquiry, CollateralInquiryAck, CollateralReport, DasMessage, DasMessage, EMail, ExecutionReport, FXCMNewsRequest, FXCMNewsTopicRequest, FXCMNewsTopicResponse, Heartbeat, Logout, MarketDataRequest, MarketDataRequestReject, News, OrderCancelReject, OrderCancelReplaceRequest, OrderCancelRequest, OrderList, OrderMassStatusRequest, OrderSingle, OrderStatusRequest, PositionReport, Quote, QuoteCancel, QuoteRequest, QuoteRequestReject, QuoteResponse, RequestForPositions, RequestForPositionsAck, SecurityList, SecurityListRequest, SecurityStatus, SecurityStatusRequest, TestRequest, TradingSessionStatus, TradingSessionStatus, TradingSessionStatusRequest, UserRequest, UserResponse

    public interface IFixValueDefs

Set of FIX releated constants.

Field Summary
`static int` | `ACCT_TYPE_CUSTOMER_SIDE_OF_BOOKS` account type customer side of books
`static int` | `BUSINESSREJECTREASON_APPLICATION_NOT_AVAILABLE` Business Reject Reason Application Not Available
`static int` | `BUSINESSREJECTREASON_CONDITIONALLY_REQUIRED_FIELD_MISSING` Business Reject Reason Conditionally Required Field Missing
`static int` | `BUSINESSREJECTREASON_NOT_AUTHORIZED` Business Reject Reason Not Authorized
`static int` | `BUSINESSREJECTREASON_OTHER` Business Reject Reason Other
`static int` | `BUSINESSREJECTREASON_UNKNOWN_ID` Business Reject Reason Unknown ID
`static int` | `BUSINESSREJECTREASON_UNKNOWN_SECURITY` Business Reject Reason Unknown Security
`static int` | `BUSINESSREJECTREASON_UNSUPPORTED_MESSAGE_TYPE` Business Reject Reason Unsupported Message Type
`static String` | `CLORDLINKID_CONTINGENT` ClordLinkID - Indicates contingent order
`static String` | `CLORDLINKID_PRIMARY` ClOrdLinkID - Indicates primary order
`static int` | `COLLATERAL_STATUS_UNASSIGNED` Collateral Status Unassigned
`static int` | `COLLINQUIRYRESULT_COLLATERAL_INQUIRY_TYPE_NOT_SUPPORTED` Collateral Inquiry Result collateral inquiry type not supported
`static int` | `COLLINQUIRYRESULT_INVALID_DESTINATION_REQUESTED` Collateral Inquiry Result invalid destination requested
`static int` | `COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_COLLATERAL_TYPE` Collateral Inquiry Result Invalid or unknown collateral type
`static int` | `COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_INSTRUMENT` Collateral Inquiry Result Invalid or Unknown Instrument
`static int` | `COLLINQUIRYRESULT_INVALID_PARTIES` Collateral Inquiry Result invalid parties
`static int` | `COLLINQUIRYRESULT_INVALID_TRANSPORT_TYPE_REQUESTED` Collateral Inquiry Result invalid transport type requested
`static int` | `COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_ORDER_SPECIFIED` Collateral Inquiry Result no collateral found for the order specified
`static int` | `COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_TRADE_SPECIFIED` Collateral Inquiry Result no collateral found for the trade specified
`static int` | `COLLINQUIRYRESULT_OTHER` Collateral Inquiry Result other
`static int` | `COLLINQUIRYRESULT_SUCCESSFUL` Collateral Inquiry Result Successful
`static int` | `COLLINQUIRYRESULT_UNAUTHORIZED_FOR_COLLATERAL_INQUIRY` Collateral Inquiry Result unauthorized for collateral inquiry
`static int` | `COLLINQUIRYSTATUS_ACCEPTED` Collateral Inquiry Status Accepted
`static int` | `COLLINQUIRYSTATUS_COMPLETED` Collateral Inquiry Status Completed
`static int` | `COLLINQUIRYSTATUS_REJECTED` Collateral Inquiry Status Rejected
`static String` | `CONTINGENCYTYPE_ELS` Entry Limit Stop (ELS)
`static String` | `CONTINGENCYTYPE_OCO` One Cancels the Other (OCO)
`static String` | `CONTINGENCYTYPE_OTO` One Triggers the Other (OTO)
`static String` | `CONTINGENCYTYPE_OTOCO` One Trigers One Cancel the Other (OTOCO)
`static int` | `CXLREJREASON_OTHER` CX Reject Reason other
`static int` | `CXLREJREASON_TOO_LATE_TO_CANCEL` CX Reject Reason too late to cancel
`static int` | `CXLREJREASON_UNKNOWN_ORDER` CX Reject Reason unknown order
`static String` | `CXLREJRESPONSETO_ORDER_CANCEL_REPLACE_REQUEST` CX Reject Response To Order Cancel Replace Request
`static String` | `CXLREJRESPONSETO_ORDER_CANCEL_REQUEST` CX Reject Response To Order Cancel Request
`static String` | `EMAILTYPE_ADMIN_REPLY` email type admin reply
`static String` | `EMAILTYPE_NEW` email type new
`static String` | `EMAILTYPE_REPLY` email type reply
`static String` | `EXECTYPE_ORDER_STATUS` execution type status
`static String` | `EXECTYPE_TRADE` execution type trade
`static int` | `FXCM_ACCT_TYPE_CLEARING` fxcm account type clearing
`static int` | `FXCM_ACCT_TYPE_CONTROLLED` fxcm account type controlled
`static int` | `FXCM_ACCT_TYPE_MANAGER` fxcm account type manager
`static int` | `FXCM_SESSION_TYPE_CUSTOMER` fxcm account type customer
`static int` | `FXCM_SESSION_TYPE_DEALER` fxcm account type dealer
`static int` | `FXCM_SESSION_TYPE_TRADER` fxcm account type trader
`static int` | `FXCMCONTINUOUS_END` FXCMContinuous flag, End of packet
`static int` | `FXCMCONTINUOUS_PACKET` FXCMContinuous flag, Part of packet
`static int` | `FXCMCONTINUOUS_SINGLE` FXCMContinuous flag, Single message
`static String` | `FXCMORDSTATUS_CANCELLED` FXCM order status Cancelled
`static String` | `FXCMORDSTATUS_DEALERINTERVENTION` FXCM order status Dealer Intervention
`static String` | `FXCMORDSTATUS_EXECUTED` FXCM order status Executed
`static String` | `FXCMORDSTATUS_EXECUTING` FXCM order status Executing
`static String` | `FXCMORDSTATUS_EXPIRED` FXCM order status Expired
`static String` | `FXCMORDSTATUS_INPROCESS` FXCM order status In Process
`static String` | `FXCMORDSTATUS_PENDING_CALCULATED` FXCM order status Pending Calculated
`static String` | `FXCMORDSTATUS_PENDING_CANCEL` FXCM order status Pending Calculated
`static String` | `FXCMORDSTATUS_PENDING_CANCEL_CALCULATED` FXCM order status Pending Cancel Calculated
`static String` | `FXCMORDSTATUS_REJECTED` FXCM order status Rejected
`static String` | `FXCMORDSTATUS_REQUOTED` FXCM order status Requoted
`static String` | `FXCMORDSTATUS_WAITING` FXCM order status Waiting
`static String` | `FXCMORDTYPE_CLOSE` FXCM order type Close
`static String` | `FXCMORDTYPE_CLOSE_LIMIT` FXCM order type Close Limit
`static String` | `FXCMORDTYPE_CLOSE_MARKET` FXCM order type Close Market
`static String` | `FXCMORDTYPE_CLOSE_PHONE` FXCM order type Close Phone
`static String` | `FXCMORDTYPE_CLOSE_RANGE` FXCM order type Close Range
`static String` | `FXCMORDTYPE_CLOSE_REQUOTE` FXCM order type Close Requote
`static String` | `FXCMORDTYPE_ENTRY_LIMIT` FXCM order type Entry Limit
`static String` | `FXCMORDTYPE_ENTRY_STOP` FXCM order type Entry Stop
`static String` | `FXCMORDTYPE_EQUITY_STOP` FXCM order type Equity Stop
`static String` | `FXCMORDTYPE_LIMIT` FXCM order type Limit
`static String` | `FXCMORDTYPE_LIMIT_TRAILING_ENTRY` FXCM order type Limit Trailing Entry
`static String` | `FXCMORDTYPE_MARGIN_CALL` FXCM order type Margin Call
`static String` | `FXCMORDTYPE_OPEN` FXCM order type Open
`static String` | `FXCMORDTYPE_OPEN_LIMIT` FXCM order type Open Limit
`static String` | `FXCMORDTYPE_OPEN_MARKET` FXCM order type Open Market
`static String` | `FXCMORDTYPE_OPEN_PHONE` FXCM order type Open Phone
`static String` | `FXCMORDTYPE_OPEN_RANGE` FXCM order type Open Range
`static String` | `FXCMORDTYPE_OPEN_REQUOTE` FXCM order type Open Requote
`static String` | `FXCMORDTYPE_RFQ` FXCM order type Request for Quote
`static String` | `FXCMORDTYPE_STOP` FXCM order type Stop
`static String` | `FXCMORDTYPE_STOP_TRAILING_ENTRY` FXCM order type Stop Trailing Entry
`static String` | `FXCMORDTYPE_TRAILING_LIMIT` FXCM order type Trailing Limit
`static String` | `FXCMORDTYPE_TRAILING_STOP` FXCM order type Trailing Stop
`static int` | `FXCMPRODUCTID_BULLION` FXCMProductID Bullion
`static int` | `FXCMPRODUCTID_COMMODITY` FXCMProductID Commodity
`static int` | `FXCMPRODUCTID_FOREX` FXCMProductID FX
`static int` | `FXCMPRODUCTID_INDEX` FXCMProductID Index
`static int` | `FXCMPRODUCTID_TREASURY` FXCMProductID Treasury
`static int` | `FXCMREQUESTREJECTREASON_DATA_NOT_FOUND` FXCM Request Reject Reason Data Not Found
`static int` | `FXCMREQUESTREJECTREASON_GENERIC` FXCM Request Reject Reason Generic
`static int` | `FXCMREQUESTREJECTREASON_OTHER` FXCM Request Reject Reason Other
`static int` | `FXCMREQUESTREJECTREASON_TRADING_SESSION_NOT_FOUND` FXCM Request Reject Reason Trading Session Not Found
`static int` | `FXCMREQUESTREJECTREASON_UNKNOWN` FXCM Request Reject Reason Unknown
`static String` | `FXCMSUBSCRIPTIONSTATUS_SUBSCRIBE` FXCM Instrument Subscription Status - SUBSCRIBE(T) for updates
`static String` | `FXCMSUBSCRIPTIONSTATUS_UNSUBSCRIBE` FXCM Instrument Subscription Status - UNSUBSCRIBE(D) for updates
`static int` | `FXCMTIMINGINTERVAL_DAY1` FXCM Timing interval value: 1 Day
`static int` | `FXCMTIMINGINTERVAL_HOUR1` FXCM Timing interval value: 1 Hour
`static int` | `FXCMTIMINGINTERVAL_MIN1` FXCM Timing interval value: 1 Minute
`static int` | `FXCMTIMINGINTERVAL_MIN15` FXCM Timing interval value: 15 Minutes
`static int` | `FXCMTIMINGINTERVAL_MIN30` FXCM Timing interval value: 30 Minutes
`static int` | `FXCMTIMINGINTERVAL_MIN5` FXCM Timing interval value: 5 Minutes
`static int` | `FXCMTIMINGINTERVAL_MONTH1` FXCM Timing interval value: 1 month
`static int` | `FXCMTIMINGINTERVAL_TICK` FXCM Timing interval value: Tick
`static int` | `FXCMTIMINGINTERVAL_WEEK1` FXCM Timing interval value: 1 week
`static String` | `MARGIN_CALL_FLAG_NO` Margin Call Flag No
`static String` | `MARGIN_CALL_FLAG_YES` Margin Call Flag Yes
`static String` | `MDENTRYTYPE_ASK` MDEntityType value: Offer (Ask)
`static String` | `MDENTRYTYPE_ASKCLOSE` MDEntityType value: Closing Price (Offer Side)
`static String` | `MDENTRYTYPE_ASKHIGH` MDEntityType value: Timing Interval High Price(Offer Side)
`static String` | `MDENTRYTYPE_ASKLOW` MDEntityType value: Timing Interval Low Price(Offer Side)
`static String` | `MDENTRYTYPE_ASKOPEN` MDEntityType value: Opening Price (Offer Side)
`static String` | `MDENTRYTYPE_BID` MDEntityType value: Bid
`static String` | `MDENTRYTYPE_BIDCLOSE` MDEntityType value: Closing Price (Bid Side)
`static String` | `MDENTRYTYPE_BIDHIGH` MDEntityType value: Timing Interval High Price(Bid Side)
`static String` | `MDENTRYTYPE_BIDLOW` MDEntityType value: Timing Interval Low Price(Bid Side)
`static String` | `MDENTRYTYPE_BIDOPEN` MDEntityType value: Opening Price (Bid Side)
`static String` | `MDENTRYTYPE_HIGH` MDEntityType value: Trading Session High Price
`static String` | `MDENTRYTYPE_LOW` MDEntityType value: Trading Session Low Price
`static String` | `MDENTRYTYPE_TICKVOLUME` MDEntityType value: Timing Interval Tick Volume
`static String` | `MDREQREJREASON_DUPLICATEDMDREQID` MDReqRejReason value: Dublicated MDReqID
`static String` | `MDREQREJREASON_MDENTRYTYPE` MDReqRejReason value: Unsupported Unsupported MDEntryType
`static String` | `MDREQREJREASON_PERMISSIONS` MDReqRejReason value: Insufficient Permissions
`static String` | `MDREQREJREASON_SUBSCRIPTIONREQUESTTYPE` MDReqRejReason value: Unsupported SubscriptionRequestType
`static String` | `MDREQREJREASON_TRADINGSESSIONID` MDReqRejReason value: Unsupported Unsupported TradingSessionID
`static String` | `MDREQREJREASON_UNKNOWNSYMBOL` MDReqRejReason value: Unknown Symbol
`static String` | `MDREQREJREASON_UNSUPPORTEDSCOPE` MDReqRejReason value: Unsupported Subscription Scope
`static int` | `MDUPDATEACTION_DELETE` MDUpdateAction, Delete
`static int` | `MDUPDATEACTION_NEW` MDUpdateAction, Add
`static int` | `MDUPDATEACTION_UPDATE` MDUpdateAction, Update
`static int` | `MDUPDATETYPE_FULLREFRESH` MarketData update type full refresh
`static int` | `MDUPDATETYPE_INCREMENTALREFRESH` MarketData update type incremental refresh
`static int` | `ORDREJREASON_BROKER_EXCHANGE_OPTION` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_DUPLICATE_ORDER` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_DUPLICATE_VERBAL_ORDER` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_EXCHANGE_CLOSED` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_INCORRECT_ALLOCATED_QUANTITY` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_INCORRECT_QUANTITY` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_INVALID_INVESTOR_ID` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_ORDER_EXCEEDS_LIMIT` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_OTHER` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_STALE_ORDER` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_SURVEILLENCE_OPTION` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_TOO_LATE_TO_ENTER` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_TRADE_ALONG_REQUIRED` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_UNKNOWN_ACCOUNT` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_UNKNOWN_ORDER` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_UNKNOWN_SYMBOL` Code to identify reason for order rejection.
`static int` | `ORDREJREASON_UNSUPPORTED_ORDER_CHARACTERISTIC` Code to identify reason for order rejection.
`static String` | `ORDSTATUS_ACCEPTED_FOR_BIDDING` Order status accepted for bidding
`static String` | `ORDSTATUS_CALCULATED` Order status calculated
`static String` | `ORDSTATUS_CANCELLED` Order status cancelled
`static String` | `ORDSTATUS_DONE_FOR_DAY` Order status done for the day
`static String` | `ORDSTATUS_EXPIRED` Order status expired
`static String` | `ORDSTATUS_FILLED` Order status filled
`static String` | `ORDSTATUS_NEW` Order status new
`static String` | `ORDSTATUS_PARTIALLY_FILLED` Order status partially filled
`static String` | `ORDSTATUS_PENDING_CANCEL` Order status cancel
`static String` | `ORDSTATUS_PENDING_NEW` Order status new
`static String` | `ORDSTATUS_PENDING_REPLACE` Order status pending replace
`static String` | `ORDSTATUS_REJECTED` Order status rejected
`static String` | `ORDSTATUS_REPLACED` Order status replaced
`static String` | `ORDSTATUS_STOPPED` Order status stopped
`static String` | `ORDSTATUS_SUSPENDED` Order status suspended
`static String` | `ORDTYPE_LIMIT` Order type limit
`static String` | `ORDTYPE_MARKET` Order type market
`static String` | `ORDTYPE_PEG` Order type peg
`static String` | `ORDTYPE_PREVIOUSLY_INDICATED` Order type previously indicated
`static String` | `ORDTYPE_PREVIOUSLY_QUOTED` Order type quoted
`static String` | `ORDTYPE_STOP` Order type stop
`static String` | `ORDTYPE_STOP_LIMIT` Order type stop limit
`static int` | `PEGMOVETYPE_FIXED` Fixed
`static int` | `PEGMOVETYPE_FLOATING` Floating
`static int` | `PEGOFFSETTYPE_BASIS_POINTS` Pts
`static int` | `PEGOFFSETTYPE_PRICE` Price
`static int` | `PEGOFFSETTYPE_PRICE_TIER` Tier
`static int` | `PEGOFFSETTYPE_TICKS` Ticks
`static int` | `PEGPRICETYPE_MARKET` Market peg type
`static int` | `PEGPRICETYPE_OPENING` Opening peg type
`static int` | `POS_REQ_RESULT_INVALID` position request result invalid
`static int` | `POS_REQ_RESULT_NOTAUTHORIZED` position request result not authorized
`static int` | `POS_REQ_RESULT_NOTFOUND` position request result not found
`static int` | `POS_REQ_RESULT_NOTSUPPORTED` position request result not supported
`static int` | `POS_REQ_RESULT_OTHER` position request result other
`static int` | `POS_REQ_RESULT_VALID` position request result valid
`static int` | `POSREQRESULT_INVALID_OR_UNSUPPORTED_REQUEST` Status (invalid or unsupported request) of position request
`static int` | `POSREQRESULT_NO_POSITIONS_FOUND_THAT_MATCH_CRITERIA` Status (no positions found that match criteria) of position request
`static int` | `POSREQRESULT_NOT_AUTHORIZED_TO_REQUEST_POSITIONS` Status (not authorized to request positions) of position request
`static int` | `POSREQRESULT_OTHER` Status (position request result other) of position request
`static int` | `POSREQRESULT_REQUEST_FOR_POSITION_NOT_SUPPORTED` Status (request for positions not supported) of position request
`static int` | `POSREQRESULT_VALID_REQUEST` Status (validity) of position request
`static int` | `POSREQSTATUS_COMPLETED` Status (completed) of position request
`static int` | `POSREQSTATUS_REJECTED` Status (rejected) of position request
`static int` | `POSREQTYPE_POSITIONS` Position Request Type Positions
`static int` | `POSREQTYPE_TRADES` Position Request Type Trades
`static int` | `PRODUCT_AGENCY`
`static int` | `PRODUCT_COMMODITY`
`static int` | `PRODUCT_CORPORATE`
`static int` | `PRODUCT_CURRENCY`
`static int` | `PRODUCT_EQUITY`
`static int` | `PRODUCT_FINANCING`
`static int` | `PRODUCT_GOVERNMENT`
`static int` | `PRODUCT_INDEX`
`static int` | `PRODUCT_LOAN`
`static int` | `PRODUCT_MONEYMARKET`
`static int` | `PRODUCT_MORTGAGE`
`static int` | `PRODUCT_MUNICIPAL`
`static int` | `PRODUCT_OTHER`
`static String` | `QUOTECONDITION_ACTIVE` QuoteCondition value: Active
`static String` | `QUOTECONDITION_INACTIVE` QuoteCondition value: Incative
`static int` | `QUOTERESPTYPE_PASS` Quote Response
`static int` | `QUOTETYPE_INDICATIVE` quote type indicative
`static int` | `QUOTETYPE_TRADEABLE` quote type tradeable
`static int` | `SETTL_PRICE_TYPE_FINAL` settled price type final
`static String` | `SIDE_BUY` Side Buy
`static String` | `SIDE_SELL` Side Sell
`static String` | `SIDE_UNDISCLOSED` Side Undisclosed
`static String` | `SUBSCRIPTIONREQUESTTYPE_SNAPSHOT` SubscriptionRequestType value: Snapshot
`static String` | `SUBSCRIPTIONREQUESTTYPE_SUBSCRIBE` SubscriptionRequestType value: Snapshot+Update (Subscribe)
`static String` | `SUBSCRIPTIONREQUESTTYPE_UNSUBSCRIBE` SubscriptionRequestType value: Remove Snapshot+Update (Unsubscribe)
`static String` | `TIMEINFORCE_DAY` Time in Force Day (DAY)
`static String` | `TIMEINFORCE_FILL_OR_KILL` Time in Force Fill Or kill (FOK)
`static String` | `TIMEINFORCE_GOOD_TILL_CANCEL` Time in Force Good Till Cancel (GTC)
`static String` | `TIMEINFORCE_GOOD_TILL_DATE` Time in Force Good Till Date (GTD)
`static String` | `TIMEINFORCE_IMMEDIATE_OR_CANCEL` Time in Force Immediate or Cancel (IOC)
`static int` | `TRADSESMODE_PRODUCTION` TradSesMode value: Production
`static int` | `TRADSESMODE_SIMULATED` TradSesMode value: Simulated
`static int` | `TRADSESMODE_TESTING` TradSesMode value: Testing
`static int` | `TRADSESSTATUS_CLOSED` TradingSessionStatus value: Closed
`static int` | `TRADSESSTATUS_HALTED` TradingSessionStatus value: Halted
`static int` | `TRADSESSTATUS_OPEN` TradingSessionStatus value: Open
`static int` | `TRADSESSTATUS_PRECLOSE` TradingSessionStatus value: Pre-close
`static int` | `TRADSESSTATUS_PREOPEN` TradingSessionStatus value: Pre-open
`static int` | `TRADSESSTATUS_REQUESTREJECTED` TradingSessionStatus value: Request Rejected
`static int` | `TRADSESSTATUS_UNKNOWN` TradingSessionStatus value: Unknown
`static int` | `TRADSESSTATUSREJREASON_OTHER` TradingSessionStatus value: Other
`static int` | `TRADSESSTATUSREJREASON_UNKNOWN_OR_INVALID_TRADINGSESSIONID` TradingSessionStatus value: Unknown or invalid trading session id
`static int` | `URGENCY_BACKGROUND` Urgency flag, background
`static int` | `URGENCY_FLASH` Urgency flag, flash
`static int` | `URGENCY_NORMAL` Urgency flag, normal
`static int` | `USERREQUESTTYPE_ATTACHSESSION` User request type attach a session
`static int` | `USERREQUESTTYPE_CHANGEPASSWORD` User request type change password
`static int` | `USERREQUESTTYPE_LISTOFSESSIONS` User request type list of sessions
`static int` | `USERREQUESTTYPE_LOADSESSION` User request type load session state
`static int` | `USERREQUESTTYPE_LOGOFFUSER` User request type log off user
`static int` | `USERREQUESTTYPE_LOGONUSER` User request type logon user
`static int` | `USERREQUESTTYPE_LOGONUSER2` User request type logon user phase 2
`static int` | `USERREQUESTTYPE_USERSTATUS` User request type user status
`static int` | `USERSTATUS_LOGGEDIN` User request type logged in
`static int` | `USERSTATUS_NOTLOGGEDIN` User request type not logged in
`static int` | `USERSTATUS_OTHER` User request type user status other
`static int` | `USERSTATUS_PASSWORDCHANGED` User request type password changed
`static int` | `USERSTATUS_PASSWORDINCORRECT` User request type password incorrect
`static int` | `USERSTATUS_USERNOTRECOGNISED` User request type user not recognised

Field Detail

### ORDREJREASON_BROKER_EXCHANGE_OPTION

    static final int ORDREJREASON_BROKER_EXCHANGE_OPTION

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_UNKNOWN_SYMBOL

    static final int ORDREJREASON_UNKNOWN_SYMBOL

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_EXCHANGE_CLOSED

    static final int ORDREJREASON_EXCHANGE_CLOSED

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_ORDER_EXCEEDS_LIMIT

    static final int ORDREJREASON_ORDER_EXCEEDS_LIMIT

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_TOO_LATE_TO_ENTER

    static final int ORDREJREASON_TOO_LATE_TO_ENTER

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_UNKNOWN_ORDER

    static final int ORDREJREASON_UNKNOWN_ORDER

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_DUPLICATE_ORDER

    static final int ORDREJREASON_DUPLICATE_ORDER

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_DUPLICATE_VERBAL_ORDER

    static final int ORDREJREASON_DUPLICATE_VERBAL_ORDER

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_STALE_ORDER

    static final int ORDREJREASON_STALE_ORDER

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_TRADE_ALONG_REQUIRED

    static final int ORDREJREASON_TRADE_ALONG_REQUIRED

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_INVALID_INVESTOR_ID

    static final int ORDREJREASON_INVALID_INVESTOR_ID

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_UNSUPPORTED_ORDER_CHARACTERISTIC

    static final int ORDREJREASON_UNSUPPORTED_ORDER_CHARACTERISTIC

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_SURVEILLENCE_OPTION

    static final int ORDREJREASON_SURVEILLENCE_OPTION

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_INCORRECT_QUANTITY

    static final int ORDREJREASON_INCORRECT_QUANTITY

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_INCORRECT_ALLOCATED_QUANTITY

    static final int ORDREJREASON_INCORRECT_ALLOCATED_QUANTITY

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_UNKNOWN_ACCOUNT

    static final int ORDREJREASON_UNKNOWN_ACCOUNT

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### ORDREJREASON_OTHER

    static final int ORDREJREASON_OTHER

  Code to identify reason for order rejection. Note: Values 13, 14, and 15 will be used when rejecting an order due to pre-allocation information errors.

  See Also:
    Constant Field Values

### QUOTERESPTYPE_PASS

    static final int QUOTERESPTYPE_PASS

  Quote Response

  See Also:
    Constant Field Values

### ORDSTATUS_NEW

    static final String ORDSTATUS_NEW

  Order status new

  See Also:
    Constant Field Values

### ORDSTATUS_PARTIALLY_FILLED

    static final String ORDSTATUS_PARTIALLY_FILLED

  Order status partially filled

  See Also:
    Constant Field Values

### ORDSTATUS_FILLED

    static final String ORDSTATUS_FILLED

  Order status filled

  See Also:
    Constant Field Values

### ORDSTATUS_DONE_FOR_DAY

    static final String ORDSTATUS_DONE_FOR_DAY

  Order status done for the day

  See Also:
    Constant Field Values

### ORDSTATUS_CANCELLED

    static final String ORDSTATUS_CANCELLED

  Order status cancelled

  See Also:
    Constant Field Values

### ORDSTATUS_REPLACED

    static final String ORDSTATUS_REPLACED

  Order status replaced

  See Also:
    Constant Field Values

### ORDSTATUS_PENDING_CANCEL

    static final String ORDSTATUS_PENDING_CANCEL

  Order status cancel

  See Also:
    Constant Field Values

### ORDSTATUS_STOPPED

    static final String ORDSTATUS_STOPPED

  Order status stopped

  See Also:
    Constant Field Values

### ORDSTATUS_REJECTED

    static final String ORDSTATUS_REJECTED

  Order status rejected

  See Also:
    Constant Field Values

### ORDSTATUS_SUSPENDED

    static final String ORDSTATUS_SUSPENDED

  Order status suspended

  See Also:
    Constant Field Values

### ORDSTATUS_PENDING_NEW

    static final String ORDSTATUS_PENDING_NEW

  Order status new

  See Also:
    Constant Field Values

### ORDSTATUS_CALCULATED

    static final String ORDSTATUS_CALCULATED

  Order status calculated

  See Also:
    Constant Field Values

### ORDSTATUS_EXPIRED

    static final String ORDSTATUS_EXPIRED

  Order status expired

  See Also:
    Constant Field Values

### ORDSTATUS_ACCEPTED_FOR_BIDDING

    static final String ORDSTATUS_ACCEPTED_FOR_BIDDING

  Order status accepted for bidding

  See Also:
    Constant Field Values

### ORDSTATUS_PENDING_REPLACE

    static final String ORDSTATUS_PENDING_REPLACE

  Order status pending replace

  See Also:
    Constant Field Values

### ORDTYPE_MARKET

    static final String ORDTYPE_MARKET

  Order type market

  See Also:
    Constant Field Values

### ORDTYPE_LIMIT

    static final String ORDTYPE_LIMIT

  Order type limit

  See Also:
    Constant Field Values

### ORDTYPE_STOP

    static final String ORDTYPE_STOP

  Order type stop

  See Also:
    Constant Field Values

### ORDTYPE_STOP_LIMIT

    static final String ORDTYPE_STOP_LIMIT

  Order type stop limit

  See Also:
    Constant Field Values

### ORDTYPE_PREVIOUSLY_QUOTED

    static final String ORDTYPE_PREVIOUSLY_QUOTED

  Order type quoted

  See Also:
    Constant Field Values

### ORDTYPE_PREVIOUSLY_INDICATED

    static final String ORDTYPE_PREVIOUSLY_INDICATED

  Order type previously indicated

  See Also:
    Constant Field Values

### ORDTYPE_PEG

    static final String ORDTYPE_PEG

  Order type peg

  See Also:
    Constant Field Values

### PRODUCT_AGENCY

    static final int PRODUCT_AGENCY

See Also:
  Constant Field Values

### PRODUCT_COMMODITY

    static final int PRODUCT_COMMODITY

See Also:
  Constant Field Values

### PRODUCT_CORPORATE

    static final int PRODUCT_CORPORATE

See Also:
  Constant Field Values

### PRODUCT_CURRENCY

    static final int PRODUCT_CURRENCY

See Also:
  Constant Field Values

### PRODUCT_EQUITY

    static final int PRODUCT_EQUITY

See Also:
  Constant Field Values

### PRODUCT_GOVERNMENT

    static final int PRODUCT_GOVERNMENT

See Also:
  Constant Field Values

### PRODUCT_INDEX

    static final int PRODUCT_INDEX

See Also:
  Constant Field Values

### PRODUCT_LOAN

    static final int PRODUCT_LOAN

See Also:
  Constant Field Values

### PRODUCT_MONEYMARKET

    static final int PRODUCT_MONEYMARKET

See Also:
  Constant Field Values

### PRODUCT_MORTGAGE

    static final int PRODUCT_MORTGAGE

See Also:
  Constant Field Values

### PRODUCT_MUNICIPAL

    static final int PRODUCT_MUNICIPAL

See Also:
  Constant Field Values

### PRODUCT_OTHER

    static final int PRODUCT_OTHER

See Also:
  Constant Field Values

### PRODUCT_FINANCING

    static final int PRODUCT_FINANCING

See Also:
  Constant Field Values

### TRADSESSTATUS_UNKNOWN

    static final int TRADSESSTATUS_UNKNOWN

  TradingSessionStatus value: Unknown

  See Also:
    Constant Field Values

### TRADSESSTATUS_HALTED

    static final int TRADSESSTATUS_HALTED

  TradingSessionStatus value: Halted

  See Also:
    Constant Field Values

### TRADSESSTATUS_OPEN

    static final int TRADSESSTATUS_OPEN

  TradingSessionStatus value: Open

  See Also:
    Constant Field Values

### TRADSESSTATUS_CLOSED

    static final int TRADSESSTATUS_CLOSED

  TradingSessionStatus value: Closed

  See Also:
    Constant Field Values

### TRADSESSTATUS_PREOPEN

    static final int TRADSESSTATUS_PREOPEN

  TradingSessionStatus value: Pre-open

  See Also:
    Constant Field Values

### TRADSESSTATUS_PRECLOSE

    static final int TRADSESSTATUS_PRECLOSE

  TradingSessionStatus value: Pre-close

  See Also:
    Constant Field Values

### TRADSESSTATUS_REQUESTREJECTED

    static final int TRADSESSTATUS_REQUESTREJECTED

  TradingSessionStatus value: Request Rejected

  See Also:
    Constant Field Values

### TRADSESSTATUSREJREASON_UNKNOWN_OR_INVALID_TRADINGSESSIONID

    static final int TRADSESSTATUSREJREASON_UNKNOWN_OR_INVALID_TRADINGSESSIONID

  TradingSessionStatus value: Unknown or invalid trading session id

  See Also:
    Constant Field Values

### TRADSESSTATUSREJREASON_OTHER

    static final int TRADSESSTATUSREJREASON_OTHER

  TradingSessionStatus value: Other

  See Also:
    Constant Field Values

### TRADSESMODE_TESTING

    static final int TRADSESMODE_TESTING

  TradSesMode value: Testing

  See Also:
    Constant Field Values

### TRADSESMODE_SIMULATED

    static final int TRADSESMODE_SIMULATED

  TradSesMode value: Simulated

  See Also:
    Constant Field Values

### TRADSESMODE_PRODUCTION

    static final int TRADSESMODE_PRODUCTION

  TradSesMode value: Production

  See Also:
    Constant Field Values

### SUBSCRIPTIONREQUESTTYPE_SNAPSHOT

    static final String SUBSCRIPTIONREQUESTTYPE_SNAPSHOT

  SubscriptionRequestType value: Snapshot

  See Also:
    Constant Field Values

### SUBSCRIPTIONREQUESTTYPE_SUBSCRIBE

    static final String SUBSCRIPTIONREQUESTTYPE_SUBSCRIBE

  SubscriptionRequestType value: Snapshot+Update (Subscribe)

  See Also:
    Constant Field Values

### SUBSCRIPTIONREQUESTTYPE_UNSUBSCRIBE

    static final String SUBSCRIPTIONREQUESTTYPE_UNSUBSCRIBE

  SubscriptionRequestType value: Remove Snapshot+Update (Unsubscribe)

  See Also:
    Constant Field Values

### MDENTRYTYPE_BID

    static final String MDENTRYTYPE_BID

  MDEntityType value: Bid

  See Also:
    Constant Field Values

### MDENTRYTYPE_ASK

    static final String MDENTRYTYPE_ASK

  MDEntityType value: Offer (Ask)

  See Also:
    Constant Field Values

### MDENTRYTYPE_BIDOPEN

    static final String MDENTRYTYPE_BIDOPEN

  MDEntityType value: Opening Price (Bid Side)

  See Also:
    Constant Field Values

### MDENTRYTYPE_BIDCLOSE

    static final String MDENTRYTYPE_BIDCLOSE

  MDEntityType value: Closing Price (Bid Side)

  See Also:
    Constant Field Values

### MDENTRYTYPE_HIGH

    static final String MDENTRYTYPE_HIGH

  MDEntityType value: Trading Session High Price

  See Also:
    Constant Field Values

### MDENTRYTYPE_LOW

    static final String MDENTRYTYPE_LOW

  MDEntityType value: Trading Session Low Price

  See Also:
    Constant Field Values

### MDENTRYTYPE_ASKOPEN

    static final String MDENTRYTYPE_ASKOPEN

  MDEntityType value: Opening Price (Offer Side)

  See Also:
    Constant Field Values

### MDENTRYTYPE_ASKCLOSE

    static final String MDENTRYTYPE_ASKCLOSE

  MDEntityType value: Closing Price (Offer Side)

  See Also:
    Constant Field Values

### MDENTRYTYPE_BIDHIGH

    static final String MDENTRYTYPE_BIDHIGH

  MDEntityType value: Timing Interval High Price(Bid Side)

  See Also:
    Constant Field Values

### MDENTRYTYPE_BIDLOW

    static final String MDENTRYTYPE_BIDLOW

  MDEntityType value: Timing Interval Low Price(Bid Side)

  See Also:
    Constant Field Values

### MDENTRYTYPE_ASKHIGH

    static final String MDENTRYTYPE_ASKHIGH

  MDEntityType value: Timing Interval High Price(Offer Side)

  See Also:
    Constant Field Values

### MDENTRYTYPE_ASKLOW

    static final String MDENTRYTYPE_ASKLOW

  MDEntityType value: Timing Interval Low Price(Offer Side)

  See Also:
    Constant Field Values

### MDENTRYTYPE_TICKVOLUME

    static final String MDENTRYTYPE_TICKVOLUME

  MDEntityType value: Timing Interval Tick Volume

  See Also:
    Constant Field Values

### MDREQREJREASON_UNKNOWNSYMBOL

    static final String MDREQREJREASON_UNKNOWNSYMBOL

  MDReqRejReason value: Unknown Symbol

  See Also:
    Constant Field Values

### MDREQREJREASON_DUPLICATEDMDREQID

    static final String MDREQREJREASON_DUPLICATEDMDREQID

  MDReqRejReason value: Dublicated MDReqID

  See Also:
    Constant Field Values

### MDREQREJREASON_PERMISSIONS

    static final String MDREQREJREASON_PERMISSIONS

  MDReqRejReason value: Insufficient Permissions

  See Also:
    Constant Field Values

### MDREQREJREASON_SUBSCRIPTIONREQUESTTYPE

    static final String MDREQREJREASON_SUBSCRIPTIONREQUESTTYPE

  MDReqRejReason value: Unsupported SubscriptionRequestType

  See Also:
    Constant Field Values

### MDREQREJREASON_MDENTRYTYPE

    static final String MDREQREJREASON_MDENTRYTYPE

  MDReqRejReason value: Unsupported Unsupported MDEntryType

  See Also:
    Constant Field Values

### MDREQREJREASON_TRADINGSESSIONID

    static final String MDREQREJREASON_TRADINGSESSIONID

  MDReqRejReason value: Unsupported Unsupported TradingSessionID

  See Also:
    Constant Field Values

### MDREQREJREASON_UNSUPPORTEDSCOPE

    static final String MDREQREJREASON_UNSUPPORTEDSCOPE

  MDReqRejReason value: Unsupported Subscription Scope

  See Also:
    Constant Field Values

### QUOTECONDITION_ACTIVE

    static final String QUOTECONDITION_ACTIVE

  QuoteCondition value: Active

  See Also:
    Constant Field Values

### QUOTECONDITION_INACTIVE

    static final String QUOTECONDITION_INACTIVE

  QuoteCondition value: Incative

  See Also:
    Constant Field Values

### FXCMTIMINGINTERVAL_TICK

    static final int FXCMTIMINGINTERVAL_TICK

  FXCM Timing interval value: Tick

  See Also:
    Constant Field Values

### FXCMTIMINGINTERVAL_MIN1

    static final int FXCMTIMINGINTERVAL_MIN1

  FXCM Timing interval value: 1 Minute

  See Also:
    Constant Field Values

### FXCMTIMINGINTERVAL_MIN5

    static final int FXCMTIMINGINTERVAL_MIN5

  FXCM Timing interval value: 5 Minutes

  See Also:
    Constant Field Values

### FXCMTIMINGINTERVAL_MIN15

    static final int FXCMTIMINGINTERVAL_MIN15

  FXCM Timing interval value: 15 Minutes

  See Also:
    Constant Field Values

### FXCMTIMINGINTERVAL_MIN30

    static final int FXCMTIMINGINTERVAL_MIN30

  FXCM Timing interval value: 30 Minutes

  See Also:
    Constant Field Values

### FXCMTIMINGINTERVAL_HOUR1

    static final int FXCMTIMINGINTERVAL_HOUR1

  FXCM Timing interval value: 1 Hour

  See Also:
    Constant Field Values

### FXCMTIMINGINTERVAL_DAY1

    static final int FXCMTIMINGINTERVAL_DAY1

  FXCM Timing interval value: 1 Day

  See Also:
    Constant Field Values

### FXCMTIMINGINTERVAL_WEEK1

    static final int FXCMTIMINGINTERVAL_WEEK1

  FXCM Timing interval value: 1 week

  See Also:
    Constant Field Values

### FXCMTIMINGINTERVAL_MONTH1

    static final int FXCMTIMINGINTERVAL_MONTH1

  FXCM Timing interval value: 1 month

  See Also:
    Constant Field Values

### FXCMCONTINUOUS_SINGLE

    static final int FXCMCONTINUOUS_SINGLE

  FXCMContinuous flag, Single message

  See Also:
    Constant Field Values

### FXCMCONTINUOUS_PACKET

    static final int FXCMCONTINUOUS_PACKET

  FXCMContinuous flag, Part of packet

  See Also:
    Constant Field Values

### FXCMCONTINUOUS_END

    static final int FXCMCONTINUOUS_END

  FXCMContinuous flag, End of packet

  See Also:
    Constant Field Values

### URGENCY_NORMAL

    static final int URGENCY_NORMAL

  Urgency flag, normal

  See Also:
    Constant Field Values

### URGENCY_FLASH

    static final int URGENCY_FLASH

  Urgency flag, flash

  See Also:
    Constant Field Values

### URGENCY_BACKGROUND

    static final int URGENCY_BACKGROUND

  Urgency flag, background

  See Also:
    Constant Field Values

### MDUPDATEACTION_NEW

    static final int MDUPDATEACTION_NEW

  MDUpdateAction, Add

  See Also:
    Constant Field Values

### MDUPDATEACTION_UPDATE

    static final int MDUPDATEACTION_UPDATE

  MDUpdateAction, Update

  See Also:
    Constant Field Values

### MDUPDATEACTION_DELETE

    static final int MDUPDATEACTION_DELETE

  MDUpdateAction, Delete

  See Also:
    Constant Field Values

### MDUPDATETYPE_FULLREFRESH

    static final int MDUPDATETYPE_FULLREFRESH

  MarketData update type full refresh

  See Also:
    Constant Field Values

### MDUPDATETYPE_INCREMENTALREFRESH

    static final int MDUPDATETYPE_INCREMENTALREFRESH

  MarketData update type incremental refresh

  See Also:
    Constant Field Values

### USERREQUESTTYPE_LOGONUSER

    static final int USERREQUESTTYPE_LOGONUSER

  User request type logon user

  See Also:
    Constant Field Values

### USERREQUESTTYPE_LOGOFFUSER

    static final int USERREQUESTTYPE_LOGOFFUSER

  User request type log off user

  See Also:
    Constant Field Values

### USERREQUESTTYPE_CHANGEPASSWORD

    static final int USERREQUESTTYPE_CHANGEPASSWORD

  User request type change password

  See Also:
    Constant Field Values

### USERREQUESTTYPE_USERSTATUS

    static final int USERREQUESTTYPE_USERSTATUS

  User request type user status

  See Also:
    Constant Field Values

### USERREQUESTTYPE_LISTOFSESSIONS

    static final int USERREQUESTTYPE_LISTOFSESSIONS

  User request type list of sessions

  See Also:
    Constant Field Values

### USERREQUESTTYPE_LOADSESSION

    static final int USERREQUESTTYPE_LOADSESSION

  User request type load session state

  See Also:
    Constant Field Values

### USERREQUESTTYPE_ATTACHSESSION

    static final int USERREQUESTTYPE_ATTACHSESSION

  User request type attach a session

  See Also:
    Constant Field Values

### USERREQUESTTYPE_LOGONUSER2

    static final int USERREQUESTTYPE_LOGONUSER2

  User request type logon user phase 2

  See Also:
    Constant Field Values

### USERSTATUS_LOGGEDIN

    static final int USERSTATUS_LOGGEDIN

  User request type logged in

  See Also:
    Constant Field Values

### USERSTATUS_NOTLOGGEDIN

    static final int USERSTATUS_NOTLOGGEDIN

  User request type not logged in

  See Also:
    Constant Field Values

### USERSTATUS_USERNOTRECOGNISED

    static final int USERSTATUS_USERNOTRECOGNISED

  User request type user not recognised

  See Also:
    Constant Field Values

### USERSTATUS_PASSWORDINCORRECT

    static final int USERSTATUS_PASSWORDINCORRECT

  User request type password incorrect

  See Also:
    Constant Field Values

### USERSTATUS_PASSWORDCHANGED

    static final int USERSTATUS_PASSWORDCHANGED

  User request type password changed

  See Also:
    Constant Field Values

### USERSTATUS_OTHER

    static final int USERSTATUS_OTHER

  User request type user status other

  See Also:
    Constant Field Values

### SETTL_PRICE_TYPE_FINAL

    static final int SETTL_PRICE_TYPE_FINAL

  settled price type final

  See Also:
    Constant Field Values

### FXCM_SESSION_TYPE_TRADER

    static final int FXCM_SESSION_TYPE_TRADER

  fxcm account type trader

  See Also:
    Constant Field Values

### FXCM_SESSION_TYPE_CUSTOMER

    static final int FXCM_SESSION_TYPE_CUSTOMER

  fxcm account type customer

  See Also:
    Constant Field Values

### FXCM_SESSION_TYPE_DEALER

    static final int FXCM_SESSION_TYPE_DEALER

  fxcm account type dealer

  See Also:
    Constant Field Values

### FXCM_ACCT_TYPE_MANAGER

    static final int FXCM_ACCT_TYPE_MANAGER

  fxcm account type manager

  See Also:
    Constant Field Values

### FXCM_ACCT_TYPE_CONTROLLED

    static final int FXCM_ACCT_TYPE_CONTROLLED

  fxcm account type controlled

  See Also:
    Constant Field Values

### FXCM_ACCT_TYPE_CLEARING

    static final int FXCM_ACCT_TYPE_CLEARING

  fxcm account type clearing

  See Also:
    Constant Field Values

### POS_REQ_RESULT_VALID

    static final int POS_REQ_RESULT_VALID

  position request result valid

  See Also:
    Constant Field Values

### POS_REQ_RESULT_INVALID

    static final int POS_REQ_RESULT_INVALID

  position request result invalid

  See Also:
    Constant Field Values

### POS_REQ_RESULT_NOTFOUND

    static final int POS_REQ_RESULT_NOTFOUND

  position request result not found

  See Also:
    Constant Field Values

### POS_REQ_RESULT_NOTAUTHORIZED

    static final int POS_REQ_RESULT_NOTAUTHORIZED

  position request result not authorized

  See Also:
    Constant Field Values

### POS_REQ_RESULT_NOTSUPPORTED

    static final int POS_REQ_RESULT_NOTSUPPORTED

  position request result not supported

  See Also:
    Constant Field Values

### POS_REQ_RESULT_OTHER

    static final int POS_REQ_RESULT_OTHER

  position request result other

  See Also:
    Constant Field Values

### ACCT_TYPE_CUSTOMER_SIDE_OF_BOOKS

    static final int ACCT_TYPE_CUSTOMER_SIDE_OF_BOOKS

  account type customer side of books

  See Also:
    Constant Field Values

### EXECTYPE_TRADE

    static final String EXECTYPE_TRADE

  execution type trade

  See Also:
    Constant Field Values

### EXECTYPE_ORDER_STATUS

    static final String EXECTYPE_ORDER_STATUS

  execution type status

  See Also:
    Constant Field Values

### SIDE_BUY

    static final String SIDE_BUY

  Side Buy

  See Also:
    Constant Field Values

### SIDE_SELL

    static final String SIDE_SELL

  Side Sell

  See Also:
    Constant Field Values

### SIDE_UNDISCLOSED

    static final String SIDE_UNDISCLOSED

  Side Undisclosed

  See Also:
    Constant Field Values

### QUOTETYPE_INDICATIVE

    static final int QUOTETYPE_INDICATIVE

  quote type indicative

  See Also:
    Constant Field Values

### QUOTETYPE_TRADEABLE

    static final int QUOTETYPE_TRADEABLE

  quote type tradeable

  See Also:
    Constant Field Values

### EMAILTYPE_NEW

    static final String EMAILTYPE_NEW

  email type new

  See Also:
    Constant Field Values

### EMAILTYPE_REPLY

    static final String EMAILTYPE_REPLY

  email type reply

  See Also:
    Constant Field Values

### EMAILTYPE_ADMIN_REPLY

    static final String EMAILTYPE_ADMIN_REPLY

  email type admin reply

  See Also:
    Constant Field Values

### FXCMREQUESTREJECTREASON_UNKNOWN

    static final int FXCMREQUESTREJECTREASON_UNKNOWN

  FXCM Request Reject Reason Unknown

  See Also:
    Constant Field Values

### FXCMREQUESTREJECTREASON_GENERIC

    static final int FXCMREQUESTREJECTREASON_GENERIC

  FXCM Request Reject Reason Generic

  See Also:
    Constant Field Values

### FXCMREQUESTREJECTREASON_DATA_NOT_FOUND

    static final int FXCMREQUESTREJECTREASON_DATA_NOT_FOUND

  FXCM Request Reject Reason Data Not Found

  See Also:
    Constant Field Values

### FXCMREQUESTREJECTREASON_TRADING_SESSION_NOT_FOUND

    static final int FXCMREQUESTREJECTREASON_TRADING_SESSION_NOT_FOUND

  FXCM Request Reject Reason Trading Session Not Found

  See Also:
    Constant Field Values

### FXCMREQUESTREJECTREASON_OTHER

    static final int FXCMREQUESTREJECTREASON_OTHER

  FXCM Request Reject Reason Other

  See Also:
    Constant Field Values

### BUSINESSREJECTREASON_OTHER

    static final int BUSINESSREJECTREASON_OTHER

  Business Reject Reason Other

  See Also:
    Constant Field Values

### BUSINESSREJECTREASON_UNKNOWN_ID

    static final int BUSINESSREJECTREASON_UNKNOWN_ID

  Business Reject Reason Unknown ID

  See Also:
    Constant Field Values

### BUSINESSREJECTREASON_UNKNOWN_SECURITY

    static final int BUSINESSREJECTREASON_UNKNOWN_SECURITY

  Business Reject Reason Unknown Security

  See Also:
    Constant Field Values

### BUSINESSREJECTREASON_UNSUPPORTED_MESSAGE_TYPE

    static final int BUSINESSREJECTREASON_UNSUPPORTED_MESSAGE_TYPE

  Business Reject Reason Unsupported Message Type

  See Also:
    Constant Field Values

### BUSINESSREJECTREASON_APPLICATION_NOT_AVAILABLE

    static final int BUSINESSREJECTREASON_APPLICATION_NOT_AVAILABLE

  Business Reject Reason Application Not Available

  See Also:
    Constant Field Values

### BUSINESSREJECTREASON_CONDITIONALLY_REQUIRED_FIELD_MISSING

    static final int BUSINESSREJECTREASON_CONDITIONALLY_REQUIRED_FIELD_MISSING

  Business Reject Reason Conditionally Required Field Missing

  See Also:
    Constant Field Values

### BUSINESSREJECTREASON_NOT_AUTHORIZED

    static final int BUSINESSREJECTREASON_NOT_AUTHORIZED

  Business Reject Reason Not Authorized

  See Also:
    Constant Field Values

### POSREQTYPE_POSITIONS

    static final int POSREQTYPE_POSITIONS

  Position Request Type Positions

  See Also:
    Constant Field Values

### POSREQTYPE_TRADES

    static final int POSREQTYPE_TRADES

  Position Request Type Trades

  See Also:
    Constant Field Values

### POSREQRESULT_VALID_REQUEST

    static final int POSREQRESULT_VALID_REQUEST

  Status (validity) of position request

  See Also:
    Constant Field Values

### POSREQRESULT_INVALID_OR_UNSUPPORTED_REQUEST

    static final int POSREQRESULT_INVALID_OR_UNSUPPORTED_REQUEST

  Status (invalid or unsupported request) of position request

  See Also:
    Constant Field Values

### POSREQRESULT_NO_POSITIONS_FOUND_THAT_MATCH_CRITERIA

    static final int POSREQRESULT_NO_POSITIONS_FOUND_THAT_MATCH_CRITERIA

  Status (no positions found that match criteria) of position request

  See Also:
    Constant Field Values

### POSREQRESULT_NOT_AUTHORIZED_TO_REQUEST_POSITIONS

    static final int POSREQRESULT_NOT_AUTHORIZED_TO_REQUEST_POSITIONS

  Status (not authorized to request positions) of position request

  See Also:
    Constant Field Values

### POSREQRESULT_REQUEST_FOR_POSITION_NOT_SUPPORTED

    static final int POSREQRESULT_REQUEST_FOR_POSITION_NOT_SUPPORTED

  Status (request for positions not supported) of position request

  See Also:
    Constant Field Values

### POSREQRESULT_OTHER

    static final int POSREQRESULT_OTHER

  Status (position request result other) of position request

  See Also:
    Constant Field Values

### POSREQSTATUS_COMPLETED

    static final int POSREQSTATUS_COMPLETED

  Status (completed) of position request

  See Also:
    Constant Field Values

### POSREQSTATUS_REJECTED

    static final int POSREQSTATUS_REJECTED

  Status (rejected) of position request

  See Also:
    Constant Field Values

### FXCMSUBSCRIPTIONSTATUS_SUBSCRIBE

    static final String FXCMSUBSCRIPTIONSTATUS_SUBSCRIBE

  FXCM Instrument Subscription Status - SUBSCRIBE(T) for updates

  See Also:
    Constant Field Values

### FXCMSUBSCRIPTIONSTATUS_UNSUBSCRIBE

    static final String FXCMSUBSCRIPTIONSTATUS_UNSUBSCRIBE

  FXCM Instrument Subscription Status - UNSUBSCRIBE(D) for updates

  See Also:
    Constant Field Values

### FXCMORDTYPE_OPEN

    static final String FXCMORDTYPE_OPEN

  FXCM order type Open

  See Also:
    Constant Field Values

### FXCMORDTYPE_OPEN_PHONE

    static final String FXCMORDTYPE_OPEN_PHONE

  FXCM order type Open Phone

  See Also:
    Constant Field Values

### FXCMORDTYPE_OPEN_MARKET

    static final String FXCMORDTYPE_OPEN_MARKET

  FXCM order type Open Market

  See Also:
    Constant Field Values

### FXCMORDTYPE_OPEN_LIMIT

    static final String FXCMORDTYPE_OPEN_LIMIT

  FXCM order type Open Limit

  See Also:
    Constant Field Values

### FXCMORDTYPE_OPEN_REQUOTE

    static final String FXCMORDTYPE_OPEN_REQUOTE

  FXCM order type Open Requote

  See Also:
    Constant Field Values

### FXCMORDTYPE_OPEN_RANGE

    static final String FXCMORDTYPE_OPEN_RANGE

  FXCM order type Open Range

  See Also:
    Constant Field Values

### FXCMORDTYPE_CLOSE

    static final String FXCMORDTYPE_CLOSE

  FXCM order type Close

  See Also:
    Constant Field Values

### FXCMORDTYPE_CLOSE_PHONE

    static final String FXCMORDTYPE_CLOSE_PHONE

  FXCM order type Close Phone

  See Also:
    Constant Field Values

### FXCMORDTYPE_CLOSE_MARKET

    static final String FXCMORDTYPE_CLOSE_MARKET

  FXCM order type Close Market

  See Also:
    Constant Field Values

### FXCMORDTYPE_CLOSE_LIMIT

    static final String FXCMORDTYPE_CLOSE_LIMIT

  FXCM order type Close Limit

  See Also:
    Constant Field Values

### FXCMORDTYPE_CLOSE_REQUOTE

    static final String FXCMORDTYPE_CLOSE_REQUOTE

  FXCM order type Close Requote

  See Also:
    Constant Field Values

### FXCMORDTYPE_CLOSE_RANGE

    static final String FXCMORDTYPE_CLOSE_RANGE

  FXCM order type Close Range

  See Also:
    Constant Field Values

### FXCMORDTYPE_ENTRY_LIMIT

    static final String FXCMORDTYPE_ENTRY_LIMIT

  FXCM order type Entry Limit

  See Also:
    Constant Field Values

### FXCMORDTYPE_ENTRY_STOP

    static final String FXCMORDTYPE_ENTRY_STOP

  FXCM order type Entry Stop

  See Also:
    Constant Field Values

### FXCMORDTYPE_LIMIT

    static final String FXCMORDTYPE_LIMIT

  FXCM order type Limit

  See Also:
    Constant Field Values

### FXCMORDTYPE_STOP

    static final String FXCMORDTYPE_STOP

  FXCM order type Stop

  See Also:
    Constant Field Values

### FXCMORDTYPE_MARGIN_CALL

    static final String FXCMORDTYPE_MARGIN_CALL

  FXCM order type Margin Call

  See Also:
    Constant Field Values

### FXCMORDTYPE_EQUITY_STOP

    static final String FXCMORDTYPE_EQUITY_STOP

  FXCM order type Equity Stop

  See Also:
    Constant Field Values

### FXCMORDTYPE_TRAILING_STOP

    static final String FXCMORDTYPE_TRAILING_STOP

  FXCM order type Trailing Stop

  See Also:
    Constant Field Values

### FXCMORDTYPE_TRAILING_LIMIT

    static final String FXCMORDTYPE_TRAILING_LIMIT

  FXCM order type Trailing Limit

  See Also:
    Constant Field Values

### FXCMORDTYPE_LIMIT_TRAILING_ENTRY

    static final String FXCMORDTYPE_LIMIT_TRAILING_ENTRY

  FXCM order type Limit Trailing Entry

  See Also:
    Constant Field Values

### FXCMORDTYPE_STOP_TRAILING_ENTRY

    static final String FXCMORDTYPE_STOP_TRAILING_ENTRY

  FXCM order type Stop Trailing Entry

  See Also:
    Constant Field Values

### FXCMORDTYPE_RFQ

    static final String FXCMORDTYPE_RFQ

  FXCM order type Request for Quote

  See Also:
    Constant Field Values

### TIMEINFORCE_DAY

    static final String TIMEINFORCE_DAY

  Time in Force Day (DAY)

  See Also:
    Constant Field Values

### TIMEINFORCE_GOOD_TILL_CANCEL

    static final String TIMEINFORCE_GOOD_TILL_CANCEL

  Time in Force Good Till Cancel (GTC)

  See Also:
    Constant Field Values

### TIMEINFORCE_IMMEDIATE_OR_CANCEL

    static final String TIMEINFORCE_IMMEDIATE_OR_CANCEL

  Time in Force Immediate or Cancel (IOC)

  See Also:
    Constant Field Values

### TIMEINFORCE_FILL_OR_KILL

    static final String TIMEINFORCE_FILL_OR_KILL

  Time in Force Fill Or kill (FOK)

  See Also:
    Constant Field Values

### TIMEINFORCE_GOOD_TILL_DATE

    static final String TIMEINFORCE_GOOD_TILL_DATE

  Time in Force Good Till Date (GTD)

  See Also:
    Constant Field Values

### FXCMORDSTATUS_WAITING

    static final String FXCMORDSTATUS_WAITING

  FXCM order status Waiting

  See Also:
    Constant Field Values

### FXCMORDSTATUS_INPROCESS

    static final String FXCMORDSTATUS_INPROCESS

  FXCM order status In Process

  See Also:
    Constant Field Values

### FXCMORDSTATUS_DEALERINTERVENTION

    static final String FXCMORDSTATUS_DEALERINTERVENTION

  FXCM order status Dealer Intervention

  See Also:
    Constant Field Values

### FXCMORDSTATUS_REQUOTED

    static final String FXCMORDSTATUS_REQUOTED

  FXCM order status Requoted

  See Also:
    Constant Field Values

### FXCMORDSTATUS_EXECUTING

    static final String FXCMORDSTATUS_EXECUTING

  FXCM order status Executing

  See Also:
    Constant Field Values

### FXCMORDSTATUS_CANCELLED

    static final String FXCMORDSTATUS_CANCELLED

  FXCM order status Cancelled

  See Also:
    Constant Field Values

### FXCMORDSTATUS_REJECTED

    static final String FXCMORDSTATUS_REJECTED

  FXCM order status Rejected

  See Also:
    Constant Field Values

### FXCMORDSTATUS_EXPIRED

    static final String FXCMORDSTATUS_EXPIRED

  FXCM order status Expired

  See Also:
    Constant Field Values

### FXCMORDSTATUS_EXECUTED

    static final String FXCMORDSTATUS_EXECUTED

  FXCM order status Executed

  See Also:
    Constant Field Values

### FXCMORDSTATUS_PENDING_CALCULATED

    static final String FXCMORDSTATUS_PENDING_CALCULATED

  FXCM order status Pending Calculated

  See Also:
    Constant Field Values

### FXCMORDSTATUS_PENDING_CANCEL

    static final String FXCMORDSTATUS_PENDING_CANCEL

  FXCM order status Pending Calculated

  See Also:
    Constant Field Values

### FXCMORDSTATUS_PENDING_CANCEL_CALCULATED

    static final String FXCMORDSTATUS_PENDING_CANCEL_CALCULATED

  FXCM order status Pending Cancel Calculated

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_SUCCESSFUL

    static final int COLLINQUIRYRESULT_SUCCESSFUL

  Collateral Inquiry Result Successful

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_INSTRUMENT

    static final int COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_INSTRUMENT

  Collateral Inquiry Result Invalid or Unknown Instrument

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_COLLATERAL_TYPE

    static final int COLLINQUIRYRESULT_INVALID_OR_UNKNOWN_COLLATERAL_TYPE

  Collateral Inquiry Result Invalid or unknown collateral type

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_INVALID_PARTIES

    static final int COLLINQUIRYRESULT_INVALID_PARTIES

  Collateral Inquiry Result invalid parties

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_INVALID_TRANSPORT_TYPE_REQUESTED

    static final int COLLINQUIRYRESULT_INVALID_TRANSPORT_TYPE_REQUESTED

  Collateral Inquiry Result invalid transport type requested

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_INVALID_DESTINATION_REQUESTED

    static final int COLLINQUIRYRESULT_INVALID_DESTINATION_REQUESTED

  Collateral Inquiry Result invalid destination requested

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_TRADE_SPECIFIED

    static final int COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_TRADE_SPECIFIED

  Collateral Inquiry Result no collateral found for the trade specified

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_ORDER_SPECIFIED

    static final int COLLINQUIRYRESULT_NO_COLLATERAL_FOUND_FOR_THE_ORDER_SPECIFIED

  Collateral Inquiry Result no collateral found for the order specified

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_COLLATERAL_INQUIRY_TYPE_NOT_SUPPORTED

    static final int COLLINQUIRYRESULT_COLLATERAL_INQUIRY_TYPE_NOT_SUPPORTED

  Collateral Inquiry Result collateral inquiry type not supported

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_UNAUTHORIZED_FOR_COLLATERAL_INQUIRY

    static final int COLLINQUIRYRESULT_UNAUTHORIZED_FOR_COLLATERAL_INQUIRY

  Collateral Inquiry Result unauthorized for collateral inquiry

  See Also:
    Constant Field Values

### COLLINQUIRYRESULT_OTHER

    static final int COLLINQUIRYRESULT_OTHER

  Collateral Inquiry Result other

  See Also:
    Constant Field Values

### COLLINQUIRYSTATUS_ACCEPTED

    static final int COLLINQUIRYSTATUS_ACCEPTED

  Collateral Inquiry Status Accepted

  See Also:
    Constant Field Values

### COLLINQUIRYSTATUS_COMPLETED

    static final int COLLINQUIRYSTATUS_COMPLETED

  Collateral Inquiry Status Completed

  See Also:
    Constant Field Values

### COLLINQUIRYSTATUS_REJECTED

    static final int COLLINQUIRYSTATUS_REJECTED

  Collateral Inquiry Status Rejected

  See Also:
    Constant Field Values

### CXLREJRESPONSETO_ORDER_CANCEL_REQUEST

    static final String CXLREJRESPONSETO_ORDER_CANCEL_REQUEST

  CX Reject Response To Order Cancel Request

  See Also:
    Constant Field Values

### CXLREJRESPONSETO_ORDER_CANCEL_REPLACE_REQUEST

    static final String CXLREJRESPONSETO_ORDER_CANCEL_REPLACE_REQUEST

  CX Reject Response To Order Cancel Replace Request

  See Also:
    Constant Field Values

### CXLREJREASON_TOO_LATE_TO_CANCEL

    static final int CXLREJREASON_TOO_LATE_TO_CANCEL

  CX Reject Reason too late to cancel

  See Also:
    Constant Field Values

### CXLREJREASON_UNKNOWN_ORDER

    static final int CXLREJREASON_UNKNOWN_ORDER

  CX Reject Reason unknown order

  See Also:
    Constant Field Values

### CXLREJREASON_OTHER

    static final int CXLREJREASON_OTHER

  CX Reject Reason other

  See Also:
    Constant Field Values

### COLLATERAL_STATUS_UNASSIGNED

    static final int COLLATERAL_STATUS_UNASSIGNED

  Collateral Status Unassigned

  See Also:
    Constant Field Values

### MARGIN_CALL_FLAG_YES

    static final String MARGIN_CALL_FLAG_YES

  Margin Call Flag Yes

  See Also:
    Constant Field Values

### MARGIN_CALL_FLAG_NO

    static final String MARGIN_CALL_FLAG_NO

  Margin Call Flag No

  See Also:
    Constant Field Values

### CONTINGENCYTYPE_OCO

    static final String CONTINGENCYTYPE_OCO

  One Cancels the Other (OCO)

  See Also:
    Constant Field Values

### CONTINGENCYTYPE_OTO

    static final String CONTINGENCYTYPE_OTO

  One Triggers the Other (OTO)

  See Also:
    Constant Field Values

### CONTINGENCYTYPE_ELS

    static final String CONTINGENCYTYPE_ELS

  Entry Limit Stop (ELS)

  See Also:
    Constant Field Values

### CONTINGENCYTYPE_OTOCO

    static final String CONTINGENCYTYPE_OTOCO

  One Trigers One Cancel the Other (OTOCO)

  See Also:
    Constant Field Values

### CLORDLINKID_PRIMARY

    static final String CLORDLINKID_PRIMARY

  ClOrdLinkID - Indicates primary order

  See Also:
    Constant Field Values

### CLORDLINKID_CONTINGENT

    static final String CLORDLINKID_CONTINGENT

  ClordLinkID - Indicates contingent order

  See Also:
    Constant Field Values

### FXCMPRODUCTID_FOREX

    static final int FXCMPRODUCTID_FOREX

  FXCMProductID FX

  See Also:
    Constant Field Values

### FXCMPRODUCTID_INDEX

    static final int FXCMPRODUCTID_INDEX

  FXCMProductID Index

  See Also:
    Constant Field Values

### FXCMPRODUCTID_COMMODITY

    static final int FXCMPRODUCTID_COMMODITY

  FXCMProductID Commodity

  See Also:
    Constant Field Values

### FXCMPRODUCTID_TREASURY

    static final int FXCMPRODUCTID_TREASURY

  FXCMProductID Treasury

  See Also:
    Constant Field Values

### FXCMPRODUCTID_BULLION

    static final int FXCMPRODUCTID_BULLION

  FXCMProductID Bullion

  See Also:
    Constant Field Values

### PEGPRICETYPE_OPENING

    static final int PEGPRICETYPE_OPENING

  Opening peg type

  See Also:
    Constant Field Values

### PEGPRICETYPE_MARKET

    static final int PEGPRICETYPE_MARKET

  Market peg type

  See Also:
    Constant Field Values

### PEGMOVETYPE_FLOATING

    static final int PEGMOVETYPE_FLOATING

  Floating

  See Also:
    Constant Field Values

### PEGMOVETYPE_FIXED

    static final int PEGMOVETYPE_FIXED

  Fixed

  See Also:
    Constant Field Values

### PEGOFFSETTYPE_PRICE

    static final int PEGOFFSETTYPE_PRICE

  Price

  See Also:
    Constant Field Values

### PEGOFFSETTYPE_BASIS_POINTS

    static final int PEGOFFSETTYPE_BASIS_POINTS

  Pts

  See Also:
    Constant Field Values

### PEGOFFSETTYPE_TICKS

    static final int PEGOFFSETTYPE_TICKS

  Ticks

  See Also:
    Constant Field Values

### PEGOFFSETTYPE_PRICE_TIER

    static final int PEGOFFSETTYPE_PRICE_TIER

  Tier

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.